Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#453 File system links not followed for home directories

None
closed
nobody
None
1
2014-07-17
2012-08-28
Mark Granoff
No

I am running Netatalk 3.0 on Ubuntu Linux 10.04 LTS.

My user home directories live on a RAID5 array under /raid/home. On my system volume I have a softlink from /raid/home to /home. User home directories in /etc/passwd use /home, not /raid/home, e.g. my home directory in /etc/password is /home/mark.

My afp.conf [Homes] section is defined as follows:

[Homes]
  basedir regex = /home
  home name = Home for $u
  file perm = 0640
  directory perm = 0750
  appledouble = v2

With this setup, from a client Mac's finder, I can see my other named volumes and my home directory (Home for mark).

When I select my home directory to mount, there is a delay, and the I get a pop-up window telling me something went wrong and an in-memory CNID database will be used. The logs for this interaction are below:

Aug 28 09:54:29 opus afpd[8418]: AFP3.3 Login by mark
Aug 28 09:54:29 opus afpd[8418]: volume "Home for mark" does not support Extended Attributes or read-only volume
Aug 28 09:54:29 opus afpd[8418]: volume "Music on Opus AppleShare" does not support Extended Attributes or read-only volume
Aug 28 09:54:29 opus afpd[8418]: volume "Photos on Opus AppleShare" does not support Extended Attributes or read-only volume
Aug 28 09:54:29 opus afpd[8418]: volume "TimeMachine" does not support Extended Attributes or read-only volume
Aug 28 09:54:38 opus cnid_metad[8413]: main: no volume for path "/raid/home/mark"
Aug 28 09:54:38 opus afpd[8418]: read: Connection reset by peer
...above 2 lines repeated 22 times ...
Aug 28 09:54:59 opus afpd[8418]: transmit: Request to dbd daemon (db_dir /raid/home/mark) timed out.
Aug 28 09:54:59 opus afpd[8418]: Reopen volume /raid/home/mark using in memory temporary CNID DB.
Aug 28 09:55:15 opus afpd[8418]: AFP logout by mark

I've tried a couple of other things for basedir regex as well, to no avail:

  • (/raid)?/home
  • (/home|/raid/home)

Under Netatalk 2.2, with a typical configuration (the old way) that specified ~/ for home directories, there was no issue: Home directories were mountable and writable.

This is a serious issue, in my view, and I hope it can be resolved soon. Thanks.

Discussion

  • franklahm
    franklahm
    2012-08-28

    Developer ressources are scarce and are dedicated to customers first. If you need a timely fix I recommend opting for commercial support.

     
  • Mark Granoff
    Mark Granoff
    2012-08-28

    That's fine. I wanted to report the issue in what appeared to me to be the "official" place to do so, so that whomever (you, I guess) was aware of it.

    Thanks,
    -Mark

    On Aug 28, 2012, at 1:15 PM, franklahm wrote:

    Developer ressources are scarce and are dedicated to customers first. If you need a timely fix I recommend opting for commercial support.

    bugs:453 File system links not followed for home directories

    Status: open Created: Tue Aug 28, 2012 04:14 PM UTC by Mark Granoff Last Updated: Tue Aug 28, 2012 04:14 PM UTC Owner: nobody

    I am running Netatalk 3.0 on Ubuntu Linux 10.04 LTS.

    My user home directories live on a RAID5 array under /raid/home. On my system volume I have a softlink from /raid/home to /home. User home directories in /etc/passwd use /home, not /raid/home, e.g. my home directory in /etc/password is /home/mark.

    My afp.conf Homes section is defined as follows:

    [Homes]

    basedir regex = /home
    home name = Home for $u
    file perm = 0640
    directory perm = 0750
    appledouble = v2
    With this setup, from a client Mac's finder, I can see my other named volumes and my home directory (Home for mark).

    When I select my home directory to mount, there is a delay, and the I get a pop-up window telling me something went wrong and an in-memory CNID database will be used. The logs for this interaction are below:

    Aug 28 09:54:29 opus afpd[8418]: AFP3.3 Login by mark
    Aug 28 09:54:29 opus afpd[8418]: volume "Home for mark" does not support Extended Attributes or read-only volume
    Aug 28 09:54:29 opus afpd[8418]: volume "Music on Opus AppleShare" does not support Extended Attributes or read-only volume
    Aug 28 09:54:29 opus afpd[8418]: volume "Photos on Opus AppleShare" does not support Extended Attributes or read-only volume
    Aug 28 09:54:29 opus afpd[8418]: volume "TimeMachine" does not support Extended Attributes or read-only volume
    Aug 28 09:54:38 opus cnid_metad[8413]: main: no volume for path "/raid/home/mark
    "

    Aug 28 09:54:38 opus afpd[8418]: read: Connection reset by peer
    ...above 2 lines repeated 22 times ...
    Aug 28 09:54:59 opus afpd[8418]: transmit: Request to dbd daemon (db_dir /raid/home/mark) timed out.
    Aug 28 09:54:59 opus afpd[8418]: Reopen volume /raid/home/mark using in memory temporary CNID DB.
    Aug 28 09:55:15 opus afpd[8418]: AFP logout by mark
    I've tried a couple of other things for basedir regex as well, to no avail:

    • (/raid)?/home
    • (/home|/raid/home)
    Under Netatalk 2.2, with a typical configuration (the old way) that specified ~/ for home directories, there was no issue: Home directories were mountable and writable.

    This is a serious issue, in my view, and I hope it can be resolved soon. Thanks.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/netatalk/bugs/453/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

    --
    Mark H. Granoff
    mark@granoff.net
    http://www.granoff.net

     
  • franklahm
    franklahm
    2012-11-01

    • status: open --> closed
    • milestone: -->
     
  • franklahm
    franklahm
    2012-11-01

    Fixed in 3.0.1